List reschedule slots
List the time slots an appointment can move to, for use on public booking interfaces. Slots belong to the appointment's current provider.
The appointment and its synced calendar event do not block slots, and slots use the buffer policy captured on the appointment. The service's booking policy still applies. The appointment's current time is omitted.
Returns a 403 when the service's rescheduling policy does not allow the reschedule, and a 422 when the appointment is canceled.
Authorization
authorization In: header
Path Parameters
Appointment ID
Query Parameters
Start of time range (ISO date format). Defaults to today in time_zone when supplied, otherwise today in UTC.
dateEnd of time range (ISO date format). Either until or limit must be provided.
dateMaximum number of available slots to return. Either limit or until must be provided.
1 <= valueIANA time zone for the slots. Slot times are formatted in this zone (Etc/UTC when omitted). When supplied, from and until are interpreted as calendar dates in this zone; when omitted, they are interpreted in the service's time zone.
"Etc/UTC"Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/public/appointments/appt_123456789012/reschedule_slots?from=%222025-04-01%22&until=%222025-04-07%22&limit=10&time_zone=America%2FChicago"{ "data": [ { "end_at": "2025-03-10T10:00:00Z", "end_at_ts": 1741600800, "object": "slot", "start_at": "2025-03-10T09:00:00Z", "start_at_ts": 1741597200, "time_zone": "Etc/UTC" } ]}Get booking intent GET
Get an existing booking intent via a public interface (no authentication required).
List available slots for a booking intent GET
Returns time slots available for this booking intent's configuration via a public interface (no authentication required). Only slots from publicly-visible schedules are returned.